/* A Bison parser, made by GNU Bison 1.875c.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     FIRST_KEYWORD = 258,
     BEGIN_HEADER = 259,
     ICM_VER = 260,
     FILE_NAME = 261,
     FILE_REV = 262,
     DATE = 263,
     SOURCE = 264,
     NOTES = 265,
     DISCLAIMER = 266,
     COPYRIGHT = 267,
     SUPPORT = 268,
     REDISTRIBUTION = 269,
     REDISTRIBUTION_TEXT = 270,
     END_HEADER = 271,
     BEGIN_ICM_FAMILY = 272,
     MANUFACTURER = 273,
     ICM_FAMILY_DESCRIPTION = 274,
     ICM_MODEL_LIST = 275,
     BEGIN_ICM_MODEL = 276,
     ICM_MODEL_DESCRIPTION = 277,
     TREE_PATH_DESCRIPTION = 278,
     NODAL_PATH_DESCRIPTION = 279,
     ICM_SWATH_PARAMETERS = 280,
     ICM_SWATH_PIN_NUMBERS = 281,
     END_ICM_MODEL = 282,
     ICM_PIN_MAP = 283,
     ICM_NODE_MAP = 284,
     END_ICM_FAMILY = 285,
     BEGIN_ICM_SECTION = 286,
     DERIVATION_METHOD = 287,
     RESISTANCE_MATRIX = 288,
     INDUCTANCE_MATRIX = 289,
     CONDUCTANCE_MATRIX = 290,
     CAPACITANCE_MATRIX = 291,
     BANDWIDTH = 292,
     FREQUENCY = 293,
     ROW = 294,
     ICM_S_PARAMETER = 295,
     END_ICM_SECTION = 296,
     END = 297,
     UNKNOWN_KEYWORD = 298,
     LAST_KEYWORD = 299,
     ICM_model_type = 300,
     SGR = 301,
     Ref_impedance_EQ = 302,
     Model_pinmap = 303,
     Side = 304,
     Fork = 305,
     Endfork = 306,
     Section = 307,
     Mult_EQ = 308,
     Len_EQ = 309,
     Model_nodemap = 310,
     N_section = 311,
     Left_edge_EQ = 312,
     Right_edge_EQ = 313,
     Top_edge_EQ = 314,
     Bottom_edge_EQ = 315,
     Pin_order = 316,
     Num_of_rows_EQ = 317,
     Num_of_columns_EQ = 318,
     Pin_list = 319,
     Sparse_matrix = 320,
     Diagonal_matrix = 321,
     Banded_matrix = 322,
     Full_matrix = 323,
     File_name = 324,
     Port_assignment = 325,
     NODE_NAME = 326,
     WORD = 327,
     NUMBER = 328,
     TEXT_STRING = 329,
     TEXT_BLOCK = 330,
     FILENAME = 331,
     SGR_RATIO = 332,
     END_OF_LINE = 333
   };
#endif
#define FIRST_KEYWORD 258
#define BEGIN_HEADER 259
#define ICM_VER 260
#define FILE_NAME 261
#define FILE_REV 262
#define DATE 263
#define SOURCE 264
#define NOTES 265
#define DISCLAIMER 266
#define COPYRIGHT 267
#define SUPPORT 268
#define REDISTRIBUTION 269
#define REDISTRIBUTION_TEXT 270
#define END_HEADER 271
#define BEGIN_ICM_FAMILY 272
#define MANUFACTURER 273
#define ICM_FAMILY_DESCRIPTION 274
#define ICM_MODEL_LIST 275
#define BEGIN_ICM_MODEL 276
#define ICM_MODEL_DESCRIPTION 277
#define TREE_PATH_DESCRIPTION 278
#define NODAL_PATH_DESCRIPTION 279
#define ICM_SWATH_PARAMETERS 280
#define ICM_SWATH_PIN_NUMBERS 281
#define END_ICM_MODEL 282
#define ICM_PIN_MAP 283
#define ICM_NODE_MAP 284
#define END_ICM_FAMILY 285
#define BEGIN_ICM_SECTION 286
#define DERIVATION_METHOD 287
#define RESISTANCE_MATRIX 288
#define INDUCTANCE_MATRIX 289
#define CONDUCTANCE_MATRIX 290
#define CAPACITANCE_MATRIX 291
#define BANDWIDTH 292
#define FREQUENCY 293
#define ROW 294
#define ICM_S_PARAMETER 295
#define END_ICM_SECTION 296
#define END 297
#define UNKNOWN_KEYWORD 298
#define LAST_KEYWORD 299
#define ICM_model_type 300
#define SGR 301
#define Ref_impedance_EQ 302
#define Model_pinmap 303
#define Side 304
#define Fork 305
#define Endfork 306
#define Section 307
#define Mult_EQ 308
#define Len_EQ 309
#define Model_nodemap 310
#define N_section 311
#define Left_edge_EQ 312
#define Right_edge_EQ 313
#define Top_edge_EQ 314
#define Bottom_edge_EQ 315
#define Pin_order 316
#define Num_of_rows_EQ 317
#define Num_of_columns_EQ 318
#define Pin_list 319
#define Sparse_matrix 320
#define Diagonal_matrix 321
#define Banded_matrix 322
#define Full_matrix 323
#define File_name 324
#define Port_assignment 325
#define NODE_NAME 326
#define WORD 327
#define NUMBER 328
#define TEXT_STRING 329
#define TEXT_BLOCK 330
#define FILENAME 331
#define SGR_RATIO 332
#define END_OF_LINE 333




#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 161 "icm-1.0-yacc.y"
typedef union YYSTYPE {
  char letter;
  char *str;
  long integer;
  double real;
  icm_t *icm;
  icm_header_t *header;
  icm_family_t *family;
  icm_model_t *model;
  icm_model_t **model_list;
  icm_tree_path_t *tree_path;
  icm_node_path_t **node_path;
  icm_node_path_t *node_path_entry;
  icm_swath_entry_t *swath_entry;
  icm_swath_entry_t **swath_list;
  icm_pin_map_t *pin_map;
  icm_pin_list_entry_t **pin_list;
  icm_pin_list_entry_t *pin_list_entry;
  icm_node_map_t *node_map;
  icm_node_list_entry_t *node_list_entry;
  char **nodes;
  icm_section_t *section;
  icm_port_assignment_entry_t *port_assignment_entry;
  icm_port_assignment_entry_t **port_assignment;
  icm_matrix_t *matrix;
  icm_matrix_value_t **matrix_value;
} YYSTYPE;
/* Line 1275 of yacc.c.  */
#line 221 "icm-1.0-yacc.h"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif

extern YYSTYPE yylval;

#if ! defined (YYLTYPE) && ! defined (YYLTYPE_IS_DECLARED)
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif

extern YYLTYPE yylloc;


